# acl提供给黑点库的接口

部署环境 133.96.94.176:12128
本地环境 127.0.0.1:12128

## 鉴权接口

token  测试token test_token_*** 正式token来自入口url
fromSystem 测试token为test 正式token是top
system 是固定值 heidianku

- 开发环境

```http
POST http://127.0.0.1:12128/api/verification
Content-Type: application/json

{
  "token": "test_token_abc",
  "fromSystem": "test",
  "system": "heidianku"
}
```

- 正式环境

```http
POST http://133.96.94.176:12128/api/verification
Content-Type: application/json

{
  "token": "test_token_abc",
  "fromSystem": "test",
  "system": "heidianku"
}
```

- 仅包含查询权限

```json
HTTP/1.1 200 
Content-Type: application/json
Transfer-Encoding: chunked
Date: Tue, 19 Jul 2022 07:48:51 GMT
Connection: close

{
  "success": true,
  "code": 1,
  "message": "成功",
  "data": {
    "loginName": "test_hebei",
    "userName": "测试用户_全省",
    "province": "河北省",
    "city": "河北省",
    "roles": [
      "黑点库查询"
    ]
  }
}

```

- 增删改查权限

```json
HTTP/1.1 200 
Content-Type: application/json
Transfer-Encoding: chunked
Date: Tue, 19 Jul 2022 07:49:35 GMT
Connection: close

{
  "success": true,
  "code": 1,
  "message": "成功",
  "data": {
    "loginName": "test_123",
    "userName": "李小明",
    "province": "河北省",
    "city": "石家庄市",
    "roles": [
      "黑点库管理",
      "黑点库查询"
    ]
  }
}

```

- 无权限

```json
HTTP/1.1 200 
Content-Type: application/json
Transfer-Encoding: chunked
Date: Tue, 19 Jul 2022 07:50:24 GMT
Connection: close

{
  "success": true,
  "code": 1,
  "message": "成功",
  "data": {
    "loginName": "test_handan",
    "userName": "测试用户_邯郸市",
    "province": "河北省",
    "city": "邯郸市",
    "roles": []
  }
}

```
