# 测试环境部署文档

bin 部署位置 192.168.50.3:/data1/acl/

sudo iptables -I INPUT -p tcp -m state --state NEW -m tcp --dport 12128 -j ACCEPT

## 测试环境接口测试

### 鉴权接口

- 黑点库

```http
POST http://192.168.50.3:12128/api/verification
Content-Type: application/json

{
  "token": "test_token_hebei",
  "fromSystem": "test",
  "system": "heidianku"
}
```

20220805 v1.9版本

```json
HTTP/1.1 200 
Content-Type: application/json
Transfer-Encoding: chunked
Date: Fri, 05 Aug 2022 08:27:22 GMT
Connection: close

{
  "success": true,
  "code": 1,
  "message": "成功",
  "data": {
    "loginName": "test_hebei",
    "userName": "测试用户_全省",
    "province": "河北省",
    "belongCity": "河北省",
    "city": "河北省",
    "roles": [
      "黑点库管理",
      "黑点库查询"
    ]
  }
}

```

- 流程

```http
POST http://192.168.50.3:12128/api/verification
Content-Type: application/json

{
  "token": "test_token_abc",
  "fromSystem": "test",
  "system": "liucheng"
}
```

```json
HTTP/1.1 200 
Content-Type: application/json
Transfer-Encoding: chunked
Date: Fri, 05 Aug 2022 08:34:07 GMT
Connection: close

{
  "success": true,
  "code": 1,
  "message": "成功",
  "data": {
    "account": "test_abc",
    "userId": 4,
    "userName": "测试用户_李四喜"
  }
}

```

- 大屏

```http
POST http://192.168.50.3:12128/api/verification
Content-Type: application/json

{
  "token": "test_token_abc",
  "fromSystem": "test",
  "system": "daping"
}
```

```json
HTTP/1.1 200 
Content-Type: application/json
Transfer-Encoding: chunked
Date: Fri, 05 Aug 2022 08:35:25 GMT
Connection: close

{
  "success": true,
  "code": 1,
  "message": "成功",
  "data": {
    "userId": 4,
    "userName": "测试用户_李四喜",
    "province": "河北省",
    "city": "唐山市"
  }
}

```

- 投诉分析

```http
POST http://192.168.50.3:12128/api/verification
Content-Type: application/json

{
  "token": "test_token_abc",
  "fromSystem": "test",
  "system": "fenxi"
}
```

```json
HTTP/1.1 200 
Content-Type: application/json
Transfer-Encoding: chunked
Date: Fri, 05 Aug 2022 08:51:35 GMT
Connection: close

{
  "success": true,
  "code": 1,
  "message": "成功",
  "data": {
    "id": 4,
    "account": "test_abc",
    "name": "测试用户_李四喜",
    "status": 1,
    "city": "唐山市"
  }
}

```

- 投诉预测

```http
POST http://192.168.50.3:12128/api/verification
Content-Type: application/json

{
"token": "test_token_abc",
"fromSystem": "test",
"system": "yuce"
}
```

```json
HTTP/1.1 200 
Content-Type: application/json
Transfer-Encoding: chunked
Date: Fri, 05 Aug 2022 08:52:24 GMT
Connection: close

{
  "success": true,
  "code": 1,
  "message": "成功",
  "data": {
    "userId": 4,
    "userName": "测试用户_李四喜",
    "province": "河北省",
    "city": 130200
  }
}

```

### 提供给流程系统的接口

- 角色列表接口

```http
POST http://192.168.50.3:12128/rest/flow/api
Content-Type: application/json

{
  "callType": "findRoleList",
  "userName": "王"
}
```

```json
HTTP/1.1 200 
Content-Type: application/json
Transfer-Encoding: chunked
Date: Fri, 05 Aug 2022 08:58:32 GMT
Connection: close

{
  "success": true,
  "code": 1,
  "message": "成功",
  "data": [
    {
      "roleId": 3,
      "roleName": "工单查询"
    },
    {
      "roleId": 4,
      "roleName": "工单处理(投诉分析)"
    },
    {
      "roleId": 6,
      "roleName": "工单处理(维护处理)"
    },
    {
      "roleId": 7,
      "roleName": "工单处理(建设处理)"
    },
    {
      "roleId": 8,
      "roleName": "工单处理(归档审核)"
    },
    {
      "roleId": 13,
      "roleName": "工单处理(处理核查)"
    },
    {
      "roleId": 5,
      "roleName": "工单处理(优化处理)"
    },
    {
      "roleId": 12,
      "roleName": "工单答复"
    }
  ]
}

```

- 用户列表接口

```http
POST http://192.168.50.3:12128/rest/flow/api
Content-Type: application/json

{
  "callType": "findToPage"
}
```

- 根据登录账号获取用户

```http
POST http://192.168.50.3:12128/rest/flow/api
Content-Type: application/json

{
  "callType": "getByLoginId",
  "loginId": "test_handan"
}
```

```json
HTTP/1.1 200 
Content-Type: application/json
Transfer-Encoding: chunked
Date: Fri, 05 Aug 2022 09:01:27 GMT
Connection: close

{
  "success": true,
  "code": 1,
  "message": "成功",
  "data": {
    "userId": 21,
    "loginId": "test_handan",
    "userName": "测试用户_邯郸市",
    "mobile": "13231899751",
    "email": "",
    "org": {
      "orgId": 130400,
      "orgName": "邯郸市"
    },
    "area": null
  }
}

```

- 根据用户ID获取用户接口

```http
POST http://192.168.50.3:12128/rest/flow/api
Content-Type: application/json

{
  "callType": "get",
  "userId": "4"
}
```

```json
HTTP/1.1 200 
Content-Type: application/json
Transfer-Encoding: chunked
Date: Fri, 05 Aug 2022 09:02:11 GMT
Connection: close

{
  "success": true,
  "code": 1,
  "message": "成功",
  "data": {
    "userId": 4,
    "loginId": "test_abc",
    "userName": "测试用户_李四喜",
    "mobile": "13444444444",
    "email": "@163.com",
    "org": {
      "orgId": 130200,
      "orgName": "唐山市"
    },
    "area": null
  }
}

```

- 根据用户id获取角色id列表

```http
POST http://192.168.50.3:12128/rest/flow/api
Content-Type: application/json

{
  "callType": "findRoleIdByUserId",
  "userId": "4"
}
```

```json
HTTP/1.1 200 
Content-Type: application/json
Transfer-Encoding: chunked
Date: Fri, 05 Aug 2022 09:07:08 GMT
Connection: close

{
  "success": true,
  "code": 1,
  "message": "成功",
  "data": [
    12,
    5,
    7,
    13,
    6,
    3,
    4,
    8
  ]
}

```

- 根据角色id获取用户id列表

```http
POST http://192.168.50.3:12128/rest/flow/api
Content-Type: application/json

{
  "callType": "findUserIdByRoleId",
  "roleId": "3"
}
```

- 多条件搜索用户

```http
POST http://192.168.50.3:12128/rest/flow/api
Content-Type: application/json

{
  "callType": "findAuthorizedUser",
  "roleId": "3"
}
```

- 根据用户查找角色+城市信息

```http
POST http://192.168.50.3:12128/rest/flow/api
Content-Type: application/json

{
  "callType": "getRoleCityByUserId",
  "userId": "4"
}
```

- 用户树形结构接口

```http
POST http://192.168.50.3:12128/rest/flow/api/userTree
Content-Type: application/json

{
  "city": 130200,
  "role": [4],
  "user": []
}
```
